Skip to content

organization.removeMember

DELETE
/v1/organization/members/{userId}
curl --request DELETE \
--url https://example.com/v1/organization/members/example \
--header 'Authorization: Bearer <token>'

Removes a member and revokes their tokens. If their email domain is still allowed, they join again the next time they sign in. Suspend them to keep them out.

userId
required
string

OrganizationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: OrganizationRequired

Example

{
"_tag": "OrganizationRequired"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

@nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: Forbidden
action
required
string
kind
required
string
field
string
reason
string

Example

{
"_tag": "Forbidden"
}

MemberNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: MemberNotFound
userId
required
string

Example

{
"_tag": "MemberNotFound"
}

@nmnmcc/ability/Authorizer/Pending | LastSuperAdministrator

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: Pending
ticket
required
string
reason
string

Example

{
"_tag": "Pending"
}

RateLimited

Media typeapplication/json
object
_tag
required
string
Allowed values: RateLimited
retryAfterSeconds
required
integer
>= -9007199254740991 <= 9007199254740991

Example

{
"_tag": "RateLimited"
}

OrganizationStorageUnavailable | AuthenticationUnavailable | RequestFailed

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: OrganizationStorageUnavailable

Example

{
"_tag": "OrganizationStorageUnavailable"
}